<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.role.edit_role' | translate}}</h4>
        </div>
    </div>
    <!-- <div class="card-block">
        <form [formGroup]="addRole" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.role.new_role' | translate}}</label>
                    <input type="text" name="Name" id="Name" class="form-control" formControlName="Name" placeholder="{{'epdb.role.new_role' | translate}}">
                    <span class="messages text-danger" *ngIf="!addRole.get('Name').valid && addRole.get('Name').touched">* Please Enter Role Name</span>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'general.description' | translate}}</label>
                    <textarea name="Description" id="Description" class="form-control" formControlName="Description" rows="2" placeholder="{{'general.description' | translate}}"></textarea>
                    <span class="messages text-danger" *ngIf="!addRole.get('Name').valid && addRole.get('Name').touched">* Please Enter Description</span>
                </div>
                <div class="col-md-4 col-xl-4">&nbsp;</div>
                <div class="col-md-6 col-xl-6">&nbsp;</div>
                <div class="col-md-2 col-xl-2 form-group">
                    <label class="col-form-label">&nbsp;</label>
                    <button type="submit" class="btn btn-success btn-md btn-block text-center">
                        <i class="icofont icofont-save"></i> {{'general.btn_save' | translate}}</button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <label class="col-form-label">&nbsp;</label>
                    <button type="button" (click)="resetForm()" class="btn btn-default btn-md btn-block text-center">
                        <i class="icofont icofont-spinner-alt-3"></i> {{ 'general.btn_reset' | translate }} </button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <label class="col-form-label">&nbsp;</label>
                    <button type="button" [routerLink]="['/role/list-access']" class="btn btn-danger btn-md btn-block text-center ">
                        <i class="icofont icofont-ui-close"></i>{{'general.btn_cancel' | translate}} </button>
                </div>
            </div>
        </form>

        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="role | dataFilter : filterQuery"
                    #mf2="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="10%">{{'epdb.role.role_id' | translate}}</th>
                            <th width="30%">{{'epdb.role.role_name' | translate}}</th>
                            <th width="50%">{{'general.description' | translate}}</th>
                            <th width="10%">{{'general.action' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="role!=null">
                        <tr *ngFor="let item of mf2.data">
                            <td class="text-center">{{item.AccessRoleId}}</td>
                            <td>{{item.Name}}</td>
                            <td>{{item.Description}}</td>
                            <td class="action-icon text-center">
                                <a (click)="getEditRole(item.AccessRoleId);roleeditmodal.show();" class="m-r-15 text-muted f-18 ml-4" ngbTooltip="Edit">
                                    <i class="icofont icofont-ui-edit"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div> -->
    <div class="card-block">
        <form [formGroup]="updateRole" (ngSubmit)="onUpdate()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-12 col-xl-12 form-group">
                    <label class="col-form-label">{{'epdb.role.role_name' | translate}} :
                        <strong>{{RoleName}}</strong>
                    </label>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'general.description' | translate}}</label>
                    <textarea name="Description" id="Description" class="form-control" formControlName="Description" rows="5" placeholder="{{'general.description' | translate}}"></textarea>
                    <span class="messages text-danger" *ngIf="!updateRole.get('Description').valid && updateRole.get('Description').touched">* Please Enter Description</span>
                </div>
                <div class="col-md-8 col-xl-8"></div>
                <div class="col-md-6 col-xl-6"></div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="submit" *ngIf="updateRole.valid" (click)="roleeditmodal.hide()" class="btn btn-success btn-md btn-block text-center">
                        <i class="icofont icofont-save"></i> {{'general.btn_save' | translate}}</button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" (click)="resetFormUpdate()" class="btn btn-default btn-md btn-block text-center">
                        <i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}</button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button [routerLink]="['/role/add-role/']" type="button" class="btn btn-danger btn-md btn-block text-center">
                        <i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}</button>
                </div>
            </div>
        </form>
    </div>
</div>